diff gcc/doc/install.texi2html @ 0:a06113de4d67

first commit
author kent <kent@cr.ie.u-ryukyu.ac.jp>
date Fri, 17 Jul 2009 14:47:48 +0900
parents
children 77e2b8dfacca
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/gcc/doc/install.texi2html	Fri Jul 17 14:47:48 2009 +0900
@@ -0,0 +1,58 @@
+#!/bin/sh
+#
+# Convert the GCC install documentation from texinfo format to HTML.
+#
+# $SOURCEDIR and $DESTDIR, resp., refer to the directory containing
+# the texinfo source and the directory to put the HTML version in.
+#
+# (C) 2001, 2003, 2006, 2008, 2009 Free Software Foundation
+# Originally by Gerald Pfeifer <pfeifer@dbai.tuwien.ac.at>, June 2001.
+#
+# This file is part of GCC.
+#
+# GCC is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 3, or (at your option) any later
+# version.
+#
+# GCC is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GCC; see the file COPYING3.  If not see
+# <http://www.gnu.org/licenses/>.
+
+set -e
+
+SOURCEDIR=${SOURCEDIR-.}
+DESTDIR=${DESTDIR-HTML}
+
+MAKEINFO=${MAKEINFO-makeinfo}
+
+if [ ! -d $DESTDIR ]; then
+    mkdir -p $DESTDIR
+fi
+
+# Generate gcc-vers.texi.
+(
+   echo "@set version-GCC $(cat $SOURCEDIR/../BASE-VER)"
+   if [ "$(cat $SOURCEDIR/../DEV-PHASE)" = "experimental" ]; then
+      echo "@set DEVELOPMENT"
+   else
+      echo "@clear DEVELOPMENT"
+   fi
+   echo "@set srcdir $SOURCEDIR/.."
+) > $DESTDIR/gcc-vers.texi
+
+for x in index.html specific.html prerequisites.html download.html configure.html \
+         build.html test.html finalinstall.html binaries.html old.html \
+         gfdl.html
+do
+    define=`echo $x | sed -e 's/\.//g'`
+    echo "define = $define"
+    $MAKEINFO --no-number-sections -I $SOURCEDIR -I $SOURCEDIR/include -I $DESTDIR $SOURCEDIR/install.texi --html --no-split -D$define -o$DESTDIR/$x
+done
+
+rm $DESTDIR/gcc-vers.texi